Subject: RE: bug#18005: 24.4.50; In Emacs manual, tell users how to enter debugger for `user-error' errors

From: Drew Adams <[email-masked]>
Date: Fri, 29 Apr 2016 15:53:57 -0700 (PDT)

> > The only hint about how to make Emacs enter the debugger for errors
> > deemed `user-error' is this mention, buried in the
> > `debug-ignored-errors' entry of the Elisp manual:
> >
> >      The normal value of this variable includes `user-error', as well
> >      as several errors that happen often during editing but rarely
> >      result from bugs in Lisp programs.  However, "rarely" is not
> >      "never"; if your program fails with an error that matches this
> >      list, you may try changing this list to debug the error.  The
> >      easiest way is usually to set `debug-ignored-errors' to `nil'.
> >
> > (FWIW, wrt this text: Is it really necessary to point out that
> > users can want to enter the debugger for other reasons that
> > tracking down a Lisp bug?)
> >
> > It should be made *obvious* to users, in the *Emacs* manual, how to make
> > the debugger open for so-called "user errors".
> 
> I think this belongs in the elisp manual, and the explanation there is
> fine.

I disagree (like RMS).  How to enter the debugger, including for
"user" errors, is not information we should bury.  It should be
mentioned in the Emacs manual, with a link to the Elisp manual
for more info.